### Enumeration

# WPEPlatform ToplevelState

#### Declaration

    flags WPEPlatform.ToplevelState

#### Description [src]

The current state of a `WPEToplevel`.

#### Members

`WPE_TOPLEVEL_STATE_NONE`

  The toplevel is in normal state.

  - Value: `0`
  - Available since: 2.0
`WPE_TOPLEVEL_STATE_FULLSCREEN`

  The toplevel is fullscreen.

  - Value: `1`
  - Available since: 2.0
`WPE_TOPLEVEL_STATE_MAXIMIZED`

  The toplevel is maximized.

  - Value: `2`
  - Available since: 2.0
`WPE_TOPLEVEL_STATE_ACTIVE`

  The toplevel is active.

  - Value: `4`
  - Available since: 2.0